

body{
font-family:'candara';
color:white;
font-size: 2em;
margin: 0 auto;
background-color: darkslategray;
}


h1 {
    text-align:center;
}


h2 {
    text-align:center;

}

h3{
    text-align:center;
    font-size: small;

}

.chestDiv{
  font: medium candara;
  width: 40%;
  margin: auto;
  text-align: center;
  display: flex;

  background: rgb(0, 0, 0, 0.5);
  border-radius: 10px;

}

.width80mediumfont{
font: medium candara;
width: 80%;
margin: auto;
text-align: center;

}

.center40width {
  display: block;
  margin-left: auto;
  margin-right: auto;
  width: 40%;
  text-align: center;
}



.bookDiv {
background-color: grey;
border-radius: 5px;
padding: 5px;
width: 70%;
position: relative;
background-color: rgba(0, 0, 0, 0.5);
margin: 0 auto;
margin-bottom: 10px;

}

.boklistediv {
padding-bottom: 50px;

}

/*error and success*/
.errortext{
  background-color: grey;
  border-radius: 5px;
  padding: 5px;
  width: 70%;
  position: relative;
  background-color: rgba(255, 0, 0, 0.5);
  margin: 0 auto;
  margin-bottom: 10px;
font: bold large candara;
color: white;
}

.successtext{
  background-color: grey;
  border-radius: 5px;
  padding: 5px;
  width: 70%;
  position: relative;
  background-color: rgba(0, 0, 0, 0.5);
  margin: 0 auto;
  margin-bottom: 10px;
font: bold large candara;
color: white;
}




.bokinfo {
  border-radius: 5px;
  border-style: solid;
  border-color: darkslategray;
  border-width: 1px;
padding: 5px;
width: auto;
margin: 3px;
display:inline-block;
font: bold large candara;
}

.bokinfoReview {
  border-radius: 5px;
  border-style: solid;
  border-color: darkslategray;
  border-width: 1px;
padding: 5px;
width: 98%;
margin: 3px;
display:inline-block;
font: bold large candara;
word-wrap: break-word;
}

.bokinfo_x {
border-radius: 5px;
background-color: thistle;
border-style:outset;
padding: 0px 5px 0px 5px;
width: auto;
margin:3px;
display:inline-block;
font: bold small candara;
color:red;
float: right;

}

/*bookslistthings*/

.booklistlink {

font: medium candara;
color: white;
text-decoration: none;
width: 100%;
height: 100%;

border-radius: 5px;
border-width: 1px;
}

#searchpage{
width: 100%;
height: 100%;

}


.booklisttext {
  font: large candara;
  text-decoration: none;
  color: white;
  padding: 4px;
}


a{

  text-decoration: none;
  color: white;
}


.link{
text-decoration:underline;
color: cyan;


}


.largetext{
font: large candara;

}


.smalltext{

font: small candara;
}

#booksearchdiv{
border-style: outset;
border-radius: 10px;
font: small candara;
height: 0%;
width: 0%;
border-style: none;
}

.portrait {
    height: 100%;
    border-radius: 5px;
    }


    .portrait2 {
        height: 100%;
        border-radius: 5px;
        border-width: medium;
        border-color: thistle;
        }



.bokinfo_center {
padding: 5px;
width: auto;
margin:0 auto;
display:inline-block;
font: bold large candara;
}








#brukerinfo{
width: 50%;
margin:auto;
border-width: thin;
border-color: darkslategray;
padding: 1%;
text-align: center;
}


#avatar{
position:absolute;
width: 130px;
min-height: 130px;
display: block;
background-image: url("img/avatarbackg.png");
background-size:contain;
left: 20px;
}


#avatarpage{

left: 20px;
  width: 150px;
  position: absolute;
}




#avatarbody{
  background-color: transparent;
  width: 130px;
  padding: 0;
  margin: 0px;
}
#avatarhtml{
  width: 130px;
  padding: 0;
  margin: 0px;
}

#lvlcircle{
  position: absolute;
  top: 90px;
  left: 65px;
  width: 30px;
  height: 30px;
  background: rgb(162,179,0);
background: linear-gradient(90deg, rgba(162,179,0,1) 0%, rgba(218,231,115,1) 38%, rgba(16,177,159,1) 93%);
  border-radius: 50%;
  border-style: ridge;
  text-align: center;
  padding-bottom: 0px;
  line-height: 30px;

  font-weight: bolder;
  color: white;
  text-shadow: 1px 1px 2px black, 0 0 25px blue, 0 0 5px darkblue;

}

#lvldiv{


}


#avatarimg{
width: 90px;
height: 60px;
margin: 0 auto;
left: 20px;
top: 35px;
position: absolute;
}




.main_main{

font:large candara;
   padding: 2%;
   display: relative;
   width: 93%;
    margin: auto;
    height: 1000px;
    background-size:100% 100%;

background-image: url(img/Background.png);


}

.main_wrapper{
width: 90%;
margin:auto;


}



.main_wrapper_bokbyen{
width: 100%;
margin:auto;
padding-top: 5%;
background-color: darkslategray;
border-radius: 10px;
border-style: inset;

}


.form_element_vertical{
  width: 90%;
  padding: 5px;
  display: table;
  margin: 2px auto;


}


.form_line_element{
  border-radius: 5px;
  margin: 2px;
  width: 15%;
  font: large candara;
  color:darkslategray;

}

.form_line{
display:flex;
width: 80%;
margin: auto;
flex-wrap: wrap;
justify-content: center;

}

.form_center{
width: 40%;
margin: auto;

}

.form_center_wide{
width: 100%;
margin: auto;
display: inline;
}

#reviewtext{
width: 50%;
font: candara;
}


.inlineelement_right{

display: inline;
float: right;

}

.flexwrap{
display: flex;


}

.inlineelement{

display: inline;

}


.inline_block_element{

display:inline-block;

}


#logindiv
{
  padding: 2px;

}





/*audioBookCalcDiv*/
#audioBookCalcDiv{
border-style:inset;
border-radius: 10px;
background-color: rgba(0, 0, 0, 0.5);
display: none;
visibility: hidden;
margin: 5px auto;
padding: 10px;
}



#reviewtips{
padding: 10px;
display: none;
border-style:inset;
border-radius: 10px;
background-color: rgba(0, 0, 0, 0.8);
font-weight: bold;




}










/*      bokbyen      */

.testrow {
  background-image: url(greenfields.jpg);
  background-repeat:no-repeat;
  background-size:100% 100%;
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}

.testrow_black {
  background-image: url(img/greenfieldsblack.jpg);
  background-repeat:no-repeat;
  background-size:100% 100%;
  display: flex;
  flex-wrap: wrap;
  padding: 0 4px;
}



/* Create four equal columns that sits next to each other */
.testcolumn {
  flex: 10%;
  max-width: 10%%;
  padding: 0 4px;
}

.testcolumn img {
  margin-top: 8px;
  vertical-align: middle;
  width: 100%;
}





.bokbyitem{
background: transparent;
width: 100%;
height: auto;

}

#bybuttonwrapper{
margin:auto;
width: 99%;
padding: 5px;
background-color: darkslategray;
}


.bybutton{
  margin:auto;
  border-radius: 5px;
  background-color: thistle;
  font: bold large candara;
  padding: 5px;
  display: inline;



}









#bokbyenback{
max-width:100%;
max-height:100%;
}


/* news*/

.news_div_wrapper{
  background-color: rgba(0, 0, 0, 0.5);
  border-radius: 5px;

}

#newWrapMain{
width: 70%;


}

.news_div_inner{

display: grid;
grid-template-columns: 30% 65%;
}

.news_div_inner_child{

}

#newstitle{
text-align: center;
  font: bold x-large candara;
  padding-top: 10px;

}

#newscontent{
width: 100%;
padding: 5px;
font: bold large candara;
}

#newsimg{
width:90%;
max-width: 150px;
padding: 10px;

}



/*header*/

#header
{
background-color: darkslategray;
width: 100%;
font-family:'candara';
font-size: medium;
display: inline block;
}


.headeruserinfo{
padding-left: 26px;
color: white;

}

.header_info{
display: inline-block;
width: 17%;
}


.header_info_XP{
display: inline-block;
width: 48%;
}

#xpbarouter{
width: 100%;
background-color: white;
border-radius: 10px;
border-style: ridge;
color: darkslategray;
}

#xpbarinner{
background-color: lime;
width: 50%;
border-radius: 10px;
text-align: center;
border-style: groove;
font-size: medium;
color: darkslategray;
display: inline-block;
white-space: nowrap;
}


#logo{
  font-family:'candara';
  font-size: 4em;
color: white;
text-decoration:none;
font-family: 'Modak';
padding-left: 20px;

}

/* IKKE I BRUK
#logodiv{
  padding-top: 2px;
  padding-bottom: 0px;
  padding-left: 8px;

}

*/


#headercontainer{
border-style: dotted;
display:inline;
}

.loggish{

position: absolute;
padding: 4px;
top: 10px;
right:0%;
}

/* nav bar style*/
nav{

}

ul {
  list-style-type: none;
  margin: 0;
  padding: 5px;
  overflow: hidden;
  background-color: darkslategray;
}

li {
  float: left;
  font-size: large;
}

li a {
  display: inline;
  color: white;
  text-align: center;
  padding: 0px 16px 5px  ;
  text-decoration: none;
  font: bold large candara;

}

/* Change the link color to #111 (darkslategray) on hover */
li a:hover {
  border-radius: 5px;
  background-color: #111;
}

/*Chart*/

#canvasDiv{
padding-top: 100px;
}

.chartdiv{
display: flex;


}

.charts{
    display: none;
}


.chartDesc{
width: 45%;
background: rgba(0, 0, 0, 0.5);
border-radius: 10px;
padding: 10px;

}

/*Reviews*/


.reviewDiv{
  margin: 0 auto;
  min-height: 100px;
  width: 65%;
  background: rgba(0, 0, 0, 0.5);
  border-radius: 10px;
  padding: 10px;
  margin-top: 25px;
  position: relative;
  word-wrap: break-word;
}

.bottomParagraph{
  position: absolute;
  bottom: 0;
  display: block;
}


#likethumb{
  position: absolute;
  right: 50px;
  bottom: 10px;
}

.flag{
  position: absolute;
  right: 10px;
  bottom: 5px;

}


#flagthumbImg{
  max-height: 20px;
  max-width: 20px;
  opacity: 0.5;
}

#flagthumbImg:hover{
  max-height: 100px;
  max-width: 100px;
  opacity: 1.0;
}

#likethumbImg{
  max-height: 50px;
  max-width: 50px;
  opacity: 0.5;
}

#likethumbImg:hover{
  max-height: 50px;
  max-width: 50px;
  opacity: 1.0;
}


#avatarpageReview{

  float: right;
  width: 150px;
  top: 0;
}
